/*
 * Copyright 2015 Djembe.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package md.djembe.beans;


import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;

import md.djembe.enums.UserTypes;
import md.djembe.exceptions.UserRegistrationException;
import md.djembe.facades.UserFacade;


@ManagedBean
@RequestScoped
public class UserRegistrationBean extends AbstractBean{
    
    private String username;
    
    private String email;
    
    private String password;
    
    private String confirmPassword;
    
    private UserTypes userType;
    
    
    
    //############################################
    // CRUD
    //############################################
    
    /**
     * Create a new user a save the details in the DB
     * type of user that can be created :
     *  - ADMIN
     *  - USER
     * @return
     */
    public String saveUserDetails( ) {
        
        boolean succesful = false;

        try {
            
            userType = ( userType != null ? userType : UserTypes.USER );

            succesful = new UserFacade( ).createNewUser( username , email ,
                                            password , confirmPassword , userType );

        }
        catch( UserRegistrationException ure ){
              //DEAL WITH THE ERROR
        }

        return succesful ? "" : "";
    }
    
    
    // ###############################################################
    // GETTER AND SETTERS
    // ###############################################################

    public String getUsername( ){
        return username;
    }

    public void setUsername( String username ){
        this.username = username;
    }

    public String getEmail( ){
        return email;
    }

    public void setEmail( String email ){
        this.email = email;
    }

    public String getPassword( ){
        return password;
    }

    public void setPassword( String password ){
        this.password = password;
    }

    public String getConfirmPassword( ){
        return confirmPassword;
    }

    public void setConfirmPassword( String confirmPassword ){
        this.confirmPassword = confirmPassword;
    }
    

}
