/*
 * Copyright 2015 Djembe.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package md.djembe.beans;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.annotation.PostConstruct;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.component.html.HtmlOutputText;
import javax.faces.event.ComponentSystemEvent;
import javax.faces.event.PhaseEvent;
import javax.faces.event.PhaseId;

import md.djembe.entities.WebPageEntity;
import md.djembe.facades.WebPageFacade;

@ManagedBean(name = "viewBean")
@RequestScoped
public class ViewBean extends AbstractBean {

	private String pageContent;
	private HtmlOutputText htmlOutputText;

	private Map<String, String> webPages = new HashMap<>();
	
	@PostConstruct
	public void init(){
		for( WebPageEntity webPage :  getWebPageList()){
			webPages.put(webPage.getPageName(), webPage.getPageContent() ) ;
		}
	}
	

	
	
	
	public List<WebPageEntity> getWebPageList(){
		return new WebPageFacade().findAll();
	}

	public String getPageContent() {
		return pageContent;
	}

	public void setPageContent(String pageContent) {
		this.pageContent = pageContent;
	}

	public HtmlOutputText getHtmlOutputText() {
		System.out.println( "Binding PhaseId : " + getFacesContext().getCurrentPhaseId().getName() );
		String requestedPage = (String) getExternalContext().getRequestMap( ).get("pageName");
		System.out.println("requested page == " + requestedPage);
		return htmlOutputText;
	}

	public void setHtmlOutputText(HtmlOutputText htmlOutputText) {
		this.htmlOutputText = htmlOutputText;
	}
	
	

}
