/*
 * Copyright 2015 Djembe.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package md.djembe.entities;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

import md.djembe.enums.MediaTypes;

@Entity
@Table(name = "media")
public class MediaEntity {

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Basic(optional = false)
	@Column(name = "mediaId")
	private Long mediaId;
	
	
	@Basic(optional = false)
	@Column(name = "mediaType")
	@Enumerated(EnumType.STRING)
	private MediaTypes mediaType;
	
	@Column(name = "title")
	private String title;

	@Column(name = "caption")
	private String caption;
	
	@Basic(optional = false)
	@Column(name = "fileName")
	private String fileName;
	
	
	public Long getMediaId() {
		return mediaId;
	}

	public void setMediaId(Long mediaId) {
		this.mediaId = mediaId;
	}

	public MediaTypes getMediaType() {
		return mediaType;
	}

	public void setMediaType(MediaTypes mediaType) {
		this.mediaType = mediaType;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getCaption() {
		return caption;
	}

	public void setCaption(String caption) {
		this.caption = caption;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	@Override
	public int hashCode() {
		int hash = 0;
		hash += (mediaId != null ? mediaId.hashCode() : 0);
		return hash;
	}

	@Override
	public boolean equals(Object object) {
		// TODO: Warning - this method won't work in the case the id fields are
		// not set
		if (!(object instanceof MediaEntity)) {
			return false;
		}
		MediaEntity other = (MediaEntity) object;
		if ((this.mediaId == null && other.mediaId != null)
				|| (this.mediaId != null && !this.mediaId.equals(other.mediaId))) {
			return false;
		}
		return true;
	}

	@Override
	public String toString() {
		return "md.webapp.entities.MediaEntity[ mediaId=" + mediaId + " ]";
	}

}
