/*
 * Copyright 2015 Djembe.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package md.djembe.entities;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;


@Entity
@Table(name = "messages")
public class MessageEntity {
    
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "messageId")
    private Long messageId;
    
    @Column(name = "senderName")
    private String senderName;
    
    @Column(name = "senderEmail")
    private String senderEmail;
    
    @Column(name = "subject")
    private String subject;
    
    @Basic(optional = false)
    @Column(name = "content")
    private String content;
    
    @Column(name = "creationDate")
    private long creationDate;
    
    
    
    public Long getMessageId( ) {
        return messageId;
    }

    public void setMessageId( Long messageId ) {
        this.messageId = messageId;
    }

    public String getSenderName( ) {
        return senderName;
    }

    public void setSenderName( String senderName ) {
        this.senderName = senderName;
    }

    public String getSenderEmail( ) {
        return senderEmail;
    }

    public void setSenderEmail( String senderEmail ) {
        this.senderEmail = senderEmail;
    }

    public String getSubject( ) {
        return subject;
    }

    public void setSubject( String subject ) {
        this.subject = subject;
    }

    public String getContent( ) {
        return content;
    }

    public void setContent( String content ) {
        this.content = content;
    }

    public long getCreationDate( ){
        return creationDate;
    }

    public void setCreationDate( long creationDate ){
        this.creationDate = creationDate;
    }
    
    

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (messageId != null ? messageId.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!( object instanceof MessageEntity ) ) {
            return false;
        }
        MessageEntity other = ( MessageEntity ) object;
        if ((this.messageId == null && other.messageId != null) || (this.messageId != null && !this.messageId.equals(other.messageId))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "md.webapp.entities.MessageEntity[ id=" + messageId + " ]";
    }
    

}
