/*
 * Copyright 2015 Djembe.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package md.djembe.entities;

import java.io.Serializable;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Lob;
import javax.persistence.Table;

@Entity
@Table(name = "templates")
public class TemplateEntity implements Serializable {

	private static final long serialVersionUID = 14672546541683247L;

	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Basic(optional = false)
	@Column(name = "templateId")
	private Long templateId;

	@Basic(optional = false)
	@Column(name = "templateName")
	private String templateName;

	@Lob
	@Column(name = "headTagContent")
	private String headTagContent;
	
	@Lob
	@Column(name = "headerContent")
	private String headerContent;

	@Lob
	@Column(name = "footerContent")
	private String footerContent;

	@Lob
	@Column(name = "scriptContent")
	private String scriptContent;

	@Column(name = "active")
	private boolean active;

	public Long getTemplateId() {
		return templateId;
	}

	public void setTemplateId(Long templateId) {
		this.templateId = templateId;
	}

	public String getTemplateName() {
		return templateName;
	}

	public void setTemplateName(String templateName) {
		this.templateName = templateName;
	}

	public String getHeadTagContent() {
		return headTagContent;
	}

	public void setHeadTagContent(String headTagContent) {
		this.headTagContent = headTagContent;
	}

	public String getHeaderContent() {
		return headerContent;
	}

	public void setHeaderContent(String headerContent) {
		this.headerContent = headerContent;
	}

	public String getFooterContent() {
		return footerContent;
	}

	public void setFooterContent(String footerContent) {
		this.footerContent = footerContent;
	}

	public String getScriptContent() {
		return scriptContent;
	}

	public void setScriptContent(String scriptContent) {
		this.scriptContent = scriptContent;
	}

	public boolean isActive() {
		return active;
	}

	public void setActive(boolean active) {
		this.active = active;
	}

	@Override
	public int hashCode() {
		int hash = 0;
		hash += (templateId != null ? templateId.hashCode() : 0);
		return hash;
	}

	@Override
	public boolean equals(Object object) {
		// TODO: Warning - this method won't work in the case the id fields are
		// not set
		if (!(object instanceof TemplateEntity)) {
			return false;
		}
		TemplateEntity other = (TemplateEntity) object;
		if ((this.templateId == null && other.templateId != null)
				|| (this.templateId != null && !this.templateId
						.equals(other.templateId))) {
			return false;
		}
		return true;
	}

	@Override
	public String toString() {
		return "md.webapp.entities.TemplateEntity[ templateId=" + templateId
				+ " ]";
	}

}
