/*
 * Copyright 2015 Djembe.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package md.djembe.entities;

import java.io.Serializable;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import md.djembe.enums.UserRoles;


@Entity
@Table(name = "usergroup")
public class UserGroupEntity implements Serializable {

    private static final long serialVersionUID = 1479465165414574856L;
    
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long userGroupId;
    
    @Basic(optional = false)
    @Column(name = "userrole")
    @Enumerated(EnumType.STRING)
    private UserRoles userrole;
    
    @JoinColumn(name = "username", referencedColumnName = "username")
    @ManyToOne(optional = false)
    private UserEntity userEntity;

    public Long getUserGroupId() {
        return userGroupId;
    }

    public void setUserGroupId(Long id) {
        this.userGroupId = id;
    }

    public UserEntity getUserEntity() {
        return userEntity;
    }

    public void setUserEntity(UserEntity userEntity) {
        this.userEntity = userEntity;
    }

    public UserRoles getUserrole() {
        return userrole;
    }

    public void setUserrole(UserRoles userrole) {
        this.userrole = userrole;
    }
    
    
    @Override
    public int hashCode() {
        int hash = 0;
        hash += (userGroupId != null ? userGroupId.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof UserGroupEntity)) {
            return false;
        }
        UserGroupEntity other = (UserGroupEntity) object;
        if ((this.userGroupId == null && other.userGroupId != null) || (this.userGroupId != null && !this.userGroupId.equals(other.userGroupId))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "md.webapp.entities.UserGroupEntity[ id=" + userGroupId + " ]";
    }
}
