/*
 * Copyright 2015 Djembe.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package md.djembe.entities;

import java.io.Serializable;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

import md.djembe.enums.WebContentType;


@Entity
@Table(name = "webcontents")
@NamedQueries({
    @NamedQuery(name = "WebContentEntity.findAll", query = "SELECT w FROM WebContentEntity w"),
    @NamedQuery(name = "WebContentEntity.findByKey", query = "SELECT w FROM WebContentEntity w WHERE w.contentKey = :contentKey")
})
public class WebContentEntity implements Serializable {

    private static final long serialVersionUID = 146749846541684897L;
    
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "contentId")
    private Long contentId;
    
    @Basic(optional = false)
    @Column(name = "contentKey")
    private String contentKey;
    
    @Column(name = "contentValue")
    private String contentValue;
    
    @Column(name = "contentType")
    @Enumerated(EnumType.STRING)
    private WebContentType contentType;
    
    @Column(name = "contentDescription")
    private String contentDescription;
    

    public Long getContentId( ) {
        return contentId;
    }

    public void setContentId( Long contentId ) {
        this.contentId = contentId;
    }

    public String getContentKey( ) {
        return contentKey;
    }

    public void setContentKey( String contentKey ) {
        this.contentKey = contentKey;
    }

    public String getContentValue( ) {
        return contentValue;
    }

    public void setContentValue( String contentValue ) {
        this.contentValue = contentValue;
    }

    public WebContentType getContentType( ) {
        return contentType;
    }

    public void setContentType( WebContentType contentType ) {
        this.contentType = contentType;
    }

    public String getContentDescription( ) {
        return contentDescription;
    }

    public void setContentDescription( String contentDescription ) {
        this.contentDescription = contentDescription;
    }
    
    

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (contentId != null ? contentId.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof WebContentEntity)) {
            return false;
        }
        WebContentEntity other = (WebContentEntity) object;
        if ((this.contentId == null && other.contentId != null) || (this.contentId != null && !this.contentId.equals(other.contentId))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "md.webapp.entities.WebContentEntity[ id=" + contentId + " ]";
    }
    
    
    
    
    

}
