package md.djembe.entities;

import java.io.Serializable;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Lob;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

@Entity
@Table(name = "webpages")
@NamedQueries({
    @NamedQuery(name = "WebPageEntity.findByPageName", query = "SELECT w FROM WebPageEntity w WHERE w.pageName = :pageName")
    })
public class WebPageEntity implements Serializable {

	private static final long serialVersionUID = 14672546541684897L;
	
	@Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Basic(optional = false)
    @Column(name = "pageId")
    private Long pageId;
    
    @Basic(optional = false)
    @Column(name = "pageName")
    private String pageName;
    
    @Lob
    @Column(name = "pageContent")
    private String pageContent;

    @Column(name = "pageURL", length=1024)
    private String pageURL;
    
    
    
    public Long getPageId() {
		return pageId;
	}

	public void setPageId(Long pageId) {
		this.pageId = pageId;
	}

	public String getPageName() {
		return pageName;
	}

	public void setPageName(String pageName) {
		this.pageName = pageName;
	}
	
	public String getPageContent() {
		return pageContent;
	}

	public void setPageContent(String pageContent) {
		this.pageContent = pageContent;
	}

	public String getPageURL() {
		return pageURL;
	}

	public void setPageURL(String pageURL) {
		this.pageURL = pageURL;
	}

	@Override
    public int hashCode() {
        int hash = 0;
        hash += (pageId != null ? pageId.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof WebPageEntity)) {
            return false;
        }
        WebPageEntity other = (WebPageEntity) object;
        if ((this.pageId == null && other.pageId != null) || (this.pageId != null && !this.pageId.equals(other.pageId))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "md.webapp.entities.WebPageEntity[ id=" + pageId + " ]";
    }

}
