/*
 * Copyright 2015 Djembe.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package md.djembe.facades;

import javax.persistence.EntityManager;

import md.djembe.entities.MediaEntity;
import md.djembe.enums.MediaTypes;
import md.djembe.persistence.PersistenceUtil;

public class MediaFacade extends AbstractFacade<MediaEntity> {

	public MediaFacade() {
		super(MediaEntity.class);
	}

	@Override
	protected EntityManager getEntityManager() {
		return PersistenceUtil.getEntityManager();
	}

	public void createNewMedia(final MediaTypes mediaType, final String title,
			final String caption, final String fileName) {
		
		MediaEntity mediaEntity = new MediaEntity();
		mediaEntity.setMediaType(mediaType);
		mediaEntity.setTitle(title);
		mediaEntity.setCaption(caption);
		mediaEntity.setFileName(fileName);
		create(mediaEntity);
	}

}
