/*
 * Copyright 2015 Djembe.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package md.djembe.facades;

import javax.persistence.EntityManager;

import md.djembe.entities.MessageEntity;
import md.djembe.exceptions.MessagingException;
import md.djembe.persistence.PersistenceUtil;

public class MessageFacade extends AbstractFacade<MessageEntity>{

    public MessageFacade( ) {
        super( MessageEntity.class );
    }

    @Override
    protected EntityManager getEntityManager( ) {
        return PersistenceUtil.getEntityManager( );
    }
    
    
    /**
     * Store the message to the DB
     * //TODO : send alert email
     * @param name
     * @param email
     * @param subject
     * @param content
     * @throws MessagingException
     */
    public void createNewMessage( final String name , final String email , final String subject , 
                                    final String content ) throws MessagingException {
        
        try {
            MessageEntity messageEntity = new MessageEntity( );
            messageEntity.setSenderName( name );
            messageEntity.setSenderEmail( email );
            messageEntity.setSubject( subject );
            messageEntity.setContent( content );
            messageEntity.setCreationDate( System.currentTimeMillis( ) );
            create( messageEntity );
            //surely send an email also;
        }
        catch( Throwable throwable ) {
            throw new MessagingException( throwable );
        }

    }

}
