/*
 * Copyright 2015 Djembe.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package md.djembe.persistence;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

/**
 * Utility class to set the JPA Persistence Unit
 */
public class PersistenceUtil {
    
    private static String persistenceUnitName;

    private static EntityManager entityManager;

    public static EntityManager getEntityManager() {
        if (entityManager == null) {
            //initialise the entity manager for the whole application.
            EntityManagerFactory entityManagerFactory = Persistence.createEntityManagerFactory( persistenceUnitName );
            entityManager = entityManagerFactory.createEntityManager();
        }
        return entityManager;
    }

    /**
     * Set the name of the persistence unit to use for the application 
     * @param persistenceUnitName the persistence unit name
     */
    public static void setPersistenceUnitName( String persistenceUnitName ) {
        PersistenceUtil.persistenceUnitName = persistenceUnitName;
    }

    
    
    

}
