package md.djembe.crypto;

import md.djembe.crypto.EncryptionManagerFactory;
import md.djembe.crypto.Encryptor;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

public class EncryptorTest {
	
	
	private Encryptor encryptor ;
	
	@Before
	public void setUp(){		
		encryptor = new EncryptionManagerFactory().createBCryptEncryptor();
	}

	@Test
	public void testHashingWorks( ) {
		String plainText = "The quick brown fox jumps over the lazy dog" ;
		String hashed = encryptor.hashPassword(plainText);
		Assert.assertNotNull(hashed);
	}
	
	@Test
	public void testHashIsvalid(){
		String plainText = "The quick brown fox jumps over the lazy dog" ;
		boolean matches = encryptor.isMatchingPassword(plainText, encryptor.hashPassword(plainText));
		Assert.assertTrue(matches);
	}

}
